Package org.eclipse.ecf.remoteservice.events

# Interface IRemoteServiceReferenceRetrievedEvent

All Superinterfaces:
  `IRemoteServiceEvent`

public interface IRemoteServiceReferenceRetrievedEvent extends IRemoteServiceEvent

Since:
  3.0

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.equinox.concurrent.future.IFuture`
`getAsyncResult()`
`String`
`getFilter()`
`ID[]`
`getIDFilter()`

### Methods inherited from interface org.eclipse.ecf.remoteservice.events.IRemoteServiceEvent

`getClazzes, getContainerID, getLocalContainerID, getReference`

## Method Details

### getIDFilter

ID[] getIDFilter()

### getFilter

String getFilter()

### getAsyncResult

org.eclipse.equinox.concurrent.future.IFuture getAsyncResult()